Skip to main content
GET
/
addresses
/
fiat
/
{customer_id}
/
{fiat_address_id}
Get a specific fiat address
curl --request GET \
  --url https://api.sandbox.iron.xyz/api/addresses/fiat/{customer_id}/{fiat_address_id} \
  --header 'X-API-Key: <api-key>' \
  --header 'X-SUB-PARTNER-ID: <x-sub-partner-id>'
{
  "bank_account_identifier": {
    "iban": "DE89370400440532013000",
    "type": "SEPA"
  },
  "bank_details": {
    "account_identifier": {
      "iban": "DE89370400440532013000",
      "type": "SEPA"
    },
    "address": {
      "city": "London",
      "country": {
        "code": "GB"
      },
      "postal_code": "SW1A 2AA",
      "state": "England",
      "street": "10 Downing Street"
    },
    "email_address": {
      "email": "john.doe@example.com"
    },
    "is_third_party": false,
    "phone_number": "+49-30-12345678",
    "provider_country": {
      "code": "DE"
    },
    "provider_name": "Iron Bank",
    "recipient": {
      "name": "Aperture Science",
      "type": "Business"
    }
  },
  "bank_name": "Iron Bank",
  "country": "DE",
  "created_at": "2024-01-15T10:30:00.000Z",
  "currency": "EUR",
  "customer_id": "123e4567-e89b-12d3-a456-426614174000",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "is_third_party": false,
  "label": "Primary Business Account",
  "ownership_verified": true,
  "status": "Registered",
  "updated_at": "1970-01-01T00:00:00.000Z"
}

Authorizations

X-API-Key
string
header
required

API Key

Headers

X-SUB-PARTNER-ID
string
required

Optional sub-partner UUID, if provided, the customer will be verified against the sub-partner

Path Parameters

customer_id
string<uuid>
required

the ID of the customer

fiat_address_id
string<uuid>
required

the ID of the fiat address

Response

GET Address Succeeded

Fiat Address

Response containing fiat address details

bank_account_identifier
Iban · object
required
Example:
{ "iban": "DE89370400440532013000" }
bank_details
RecipientBankAccount · object
required

RecipientBankAccount

A recipient fiat bank account

Example:
{
  "account_identifier": {
    "iban": "DE89370400440532013000",
    "type": "SEPA"
  },
  "address": {
    "city": "London",
    "country": { "code": "GB" },
    "postal_code": "SW1A 2AA",
    "state": "England",
    "street": "10 Downing Street"
  },
  "email_address": { "email": "john.doe@example.com" },
  "is_third_party": false,
  "phone_number": "+49-30-12345678",
  "provider_country": { "code": "DE" },
  "provider_name": "Iron Bank",
  "recipient": {
    "name": "Aperture Science",
    "type": "Business"
  }
}
bank_name
string
required

The bank name

country
string
required

The country code

created_at
string<date-time>
required

When the address was created

currency
string
required

The currency of the bank account

customer_id
string<uuid>
required

The customer ID

id
string<uuid>
required

The ID of the address

is_third_party
boolean
required

Is this a third party fiat address

ownership_verified
boolean
required

Has the customer verified their ownership of this account

status
enum<string>
required

Verification Status

The status of the verification of a fiat address

Available options:
AuthorizationRequired,
AuthorizationFailed,
RegistrationPending,
RegistrationFailed,
Registered
updated_at
string<date-time>
required

When the address was last updated

label
string

Optional label for the address